# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import time

from util.File import File

class LogFile(File):
    """A log file."""

    def __init__(self, p_path):
        File.__init__(self, p_path)
        _dir = self.get_parent_directory()
        if _dir.exists() and _dir.is_writable():
            _file = open(self.get_path(), 'w')
            _file.write("Session start : " + time.ctime(time.time()) + "\n")
            _file.close()

    def write(self, p_string):
        """Write the given string in the log file."""
        if self.exists() and self.is_writable():
            _file = open(self.get_path(), 'a')
            _file.write(p_string)
            _file.close()

