# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from util.Directory import Directory
from MusicFile import MusicFile


class MusicDirectory(Directory):
    """A directory which may present music files."""


    def list_ogg_vorbis_files(self):
        """Return a list of Ogg Vorbis files.

        Raise DirectoryNotFoundException if the directory does not exist.
        Raise DirectoryNotReadableException if the directory cannot be read."""
        _ret = []
        _list = self.list_files()
        for _inode in _list:
            _file = MusicFile(_inode.get_path())
            if _file.is_ogg_vorbis():
                _ret.append(_file)
        return _ret

    
    def list_mp3_files(self):
        """Return a list of MP3 files.

        Raise DirectoryNotFoundException if the directory does not exist.
        Raise DirectoryNotReadableException if the directory cannot be read."""
        _ret = []
        _list = self.list_files()
        for _inode in _list:
            _file = MusicFile(_inode.get_path())
            if _file.is_mp3():
                _ret.append(_file)
        return _ret

    
    
