# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from util.File import File
from util.File import FileException


class FileNotOggVorbisException(FileException):
    """An exception raised when a file has not the Ogg Vorbis extension."""

    pass


class FileNotMP3Exception(FileException):
    """An exception raised when a file has not the MP3 extension."""

    pass


class MusicFile(File):
    """An audio sample file."""

    def is_ogg_vorbis(self):
        """Determine if the given file has the Ogg Vorbis extension."""
        return self.has_ext(".ogg")

    def is_mp3(self):
        """Determine if the given file has the MP3 extension."""
        return self.has_ext(".mp3")
