# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from util.File import File

from Task import Task
from PathConfig import PathConfig


class PathConfigSaving(Task):
    """A task which saves a path configuration in a file."""

    __path_config = None

    __file_path = ''

    def __init__(self, p_path_config, p_file_path):
        Task.__init__(self)
        self.__path_config = p_path_config
        self.__file_path = p_file_path

    def get_file_path(self):
        return self.__file_path


    def start(self):
        """Write the path configuration in the file.

#        Raise DirectoryNotFoundException if the directory does not exist.
        Raise FileNotWritableException if the file is not writable.
        Raise DirectoryNotWritableException if a directory in the file path
        is not writable."""
        _file = File(self.get_file_path())
        # create directory if necessary
        _dir = _file.get_parent_directory()
        if not _dir.exists():
            _dir.create()
#            raise DirectoryNotFoundException, _dir.get_path()
        # write the path configuration
        _f = _file.open_to_write()
        _f.write(str(self.__path_config))
        _f.close()


if __name__ == '__main__':
    _config = PathConfig()
    _saving = PathConfigSaving(_config, '/tmp/test/path.conf')
    _saving.start()
