# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from Selection import Selection


class PlayList(Selection):
    """A play list."""

    __title = ""

    def __init__(self, p_title, p_sequence = []):
        """Construct a play list."""
        Selection.__init__(self, p_sequence)
        self.__title = p_title

    def get_title(self):
        """Return the title."""
        return self.__title

    def set_title(self, p_title):
        """Set the given title."""
        self.__title = p_title

    def has_title(self, p_title):
        """Determine if the play list has the given title."""
        return self.__title == p_title

    def __cmp__(self, p_play_list):
        """Compare with another play list."""
        return cmp(self.__title, p_play_list.__title)

    def __str__(self):
        """Return a representation as a string."""
        _ret = ''
        for _file in self:
            _ret += str(_file.get_path()) + '\n'
        return _ret
