# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#import UserList
from util.SyncList import SyncList


class PlayListsSet(SyncList):
    """A set of play lists."""

#    def is_empty(self):
#        """Determine if the set is empty."""
#        return len(self) == 0

#    def get_length(self):
#        """Return the number of play lists."""
#        return len(self)
        
    def has_play_list(self, p_title):
        """Determine if there is a play list with the given title."""
        _ret = 0
        for _sel in self:
            if _sel.has_title(p_title):
                _ret = 1
                break
        return _ret

    def get_play_list(self, p_title):
        """Return the first play list with the given title.

        Raise IndexError if the there is no play list."""
        _ret = None
        for _sel in self:
            if _sel.has_title(p_title):
                _ret = _sel
        return _ret

#    def remove_all(self):
#        """Remove all play lists."""
#        self.data = []

    def remove_play_list(self, p_title):
        """Remove the first play list which has the given title.

        Raise IndexError if there is no play list."""
        _index = 0
        while not self[_index].has_title(p_title):
            _index += 1
        del self[_index]

