# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from MusicFile import MusicFile


class SongFile(MusicFile):
    """An audio sample file with a song."""

    __song = None

    def __init__(self, p_path, p_song):
        MusicFile.__init__(self, p_path)
        self.__song = p_song

    def get_song(self):
        """Return the song."""
        return self.__song

    def set_song(self, p_song):
        """Set the given song."""
        self.__song = p_song

    def __cmp__(self, p_song_file):
        """Compare with another song file."""
        _ret = 1
        if p_song_file is not None:
            _ret = cmp(self.get_path(), p_song_file.get_path())
            if _ret == 0:
                _ret = cmp(self.__song, p_song_file.__song)
        return _ret

    def __str__(self):
        """Return a representation as a string."""
        _ret = self.get_path() + " --> "
        _ret += str(self.__song)
        return _ret

