# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk

from Page import Page
from PageButtonBox import PageButtonBox
from Session import Session

class MissingToolsPage(Page):
    """A page for displaying an error message and all tools
    which could be installed."""

    def __init__(self, p_message, p_tools):
        Page.__init__(self)
        _text = p_message + '\n\n'
        _text += 'Please ensure that the following tool(s) has(have) been installed and is(are) in your PATH variable :' + '\n'
        for _tool in p_tools:
            _text += '     %s\n' % _tool
        # creation of a first line
        self.__label = gtk.GtkLabel(_text)
        self.__label.set_justify(gtk.JUSTIFY_FILL)
        self.__label.set_line_wrap(gtk.TRUE)
        self.__label.show()
        self.pack(self.__label, gtk.FALSE)
        # creation of a second line
        _box = PageButtonBox()
        _box.add_button('Close', self.__close)
        _box.show()
        self.pack(_box, gtk.FALSE)

    def get_title(self):
        """Return the title of the page."""
        return 'Missing tools'

    ###########################################################################
    # CALLBACKS
    ###########################################################################

    def __close(self):
        """Close the page."""
#        print '__close', self
        _session = Session()
        _session.get_main_window().close_current_page()

