# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk

from Session import Session

class Page(gtk.GtkVBox):
    """A base page."""

    __closable = 1

    def __init__(self, p_closable = 1):
        gtk.GtkVBox.__init__(self)
        self.__closable = p_closable
    
    def pack(self, p_widget, p_expand = gtk.TRUE):
        """Pack the given widget and make it extensible or not,
        depending on the given second optional argument."""
        self.pack_start(p_widget, p_expand)

    def is_displayed(self):
        """Determine if the page is currently displayed on the screen."""
        _session = Session()
        return _session.get_main_window().get_current_page() == self

    def is_closable(self):
        """Determine if this page can be closed."""
        return self.__closable

    def update(self):
        """Update the page."""
        pass
    
    def get_title(self):
        """Return the title of the page.

        This method must be overriden by inherited class."""
        return 'Page'

    def get_menu(self):
        """Return the popup menu.

        This method must be overriden by inherited class."""
        return None

    def get_status(self):
        """Return the status message.

        This method must be overriden by inherited class."""
        return ''

