# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk

class PageButtonBox(gtk.GtkHButtonBox):
    """A common button box for page."""

    def __init__(self):
        gtk.GtkHButtonBox.__init__(self)
        self.set_layout(gtk.BUTTONBOX_SPREAD)

    def add_button(self, p_label, p_callback):
        """Pack a button which will have the given label and whose task will call
        the given function."""
        _button = gtk.GtkButton(p_label)
        _button.connect('clicked', self.__button_clicked, p_callback)
        _button.show()
#        self.pack_start(_button)
        self.add(_button)
        return _button


    ###########################################################################
    # CALLBACKS
    ###########################################################################

    def __button_clicked(self, p_button, p_callback):
        """Call the given callback function."""
#        print '__button_clicked', self, p_button, p_callback
        p_callback()
