# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk

from Widgets import Entry

class PlayListTitleFrame(gtk.GtkFrame):
    """A play list for editing a play list title."""

    __title_entry = None

    def __init__(self, p_title):
        gtk.GtkFrame.__init__(self, p_title)
        _hbox = gtk.GtkHBox(gtk.FALSE, 10)
        # the title label
        _label = gtk.GtkLabel('Title')
        _label.show()
        _hbox.pack_start(_label, gtk.FALSE, gtk.FALSE, 0)
        # the entry
        self.__title_entry = Entry(gtk.TRUE, 'New title of the play list')
        self.__title_entry.show()
        _hbox.pack_start(self.__title_entry, gtk.TRUE, gtk.TRUE, 0)
        _hbox.show()
        self.add(_hbox)


    def set_title(self, p_title):
        """Display the given title."""
#        self.__title_entry.delete_text(0, -1)
        self.__title_entry.set_text(p_title)


    def get_title(self):
        """Return the entered title."""
        return self.__title_entry.get_text().strip()

        
