# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from base.Manager import Manager

from Menu import Menu

class PlayListsSetMenu(Menu):
    """A menu which allows to choose a play list."""

    __func = None

    __option = None

    def __init__(self, p_func, p_option = None):
        Menu.__init__(self)
        self.__func = p_func
        self.__option = p_option
        _manager = Manager()
        _set = _manager.get_play_lists_set()
        _set.sort()
        for _pl in _set:
            self.append_item(_pl.get_title(), self.__play_list_clicked, _pl)


    ###########################################################################
    # CALLBACKS
    ###########################################################################

    def __play_list_clicked(self, p_menu_item, p_play_list):
        """Call the function with the play list and an optional data
        as arguments."""
#        print '__play_list_clicked', self, p_menu_item, p_play_list
        if self.__option is not None:
            apply(self.__func, [p_play_list, self.__option])
        else:
            apply(self.__func, [p_play_list])
