# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

import gtk

from Session import Session
from Page import Page
from SongFrame import SongFrame
#from SelectionList import SelectionList
import SelectionList

class SearchPage(Page):
    """A page for searching songs from a selection of songs."""

    __selection = None

    __song_frame = None

    __list = None

    def __init__(self, p_selection):
        Page.__init__(self)
        self.__selection = p_selection
        # add a song frame
        self.__song_frame = SongFrame('Song pattern', gtk.TRUE)
        self.__song_frame.clear()
        self.__song_frame.show()
        self.pack(self.__song_frame, gtk.FALSE)
        # add a search button
        _hbox = gtk.GtkHBox()
        _button = gtk.GtkButton('Search')
        _button.connect('clicked', self.__search)
        _button.show()
        _hbox.pack_start(_button)
        _hbox.show()
        self.pack(_hbox, gtk.FALSE)
        # add a list
        self.__list = SelectionList.SelectionList(self.__selection)
#        self.__list = SelectionList(self.__selection)
        self.__list.show()
        self.pack(self.__list)
#        self.display_status_msg('Please, make your search')


#    def get_selection(self):
#        return self.__list.get_selection()

    def update(self):
        """Update the page."""
        Page.update(self)
        self.__list.update()
        # TO DO : update status message

    def get_title(self):
        """Return the title of the page."""
        return 'Search'

    def get_menu(self):
        """Return the popup menu."""
#        _menu = SelectionMenu(self.get_selection())
        _menu = self.__list.append_menu()
        # prepend a separator
#        _menu.prepend_separator()
#        _menu.prepend_item('Create play list', self.__create)
        return _menu

    def get_status(self):
        """Return the status message."""
        _found = len(self.__list.get_selection())
        _total = len(self.__selection)
        _ret = '%d songs found on %d songs' % (_found, _total)
        return _ret

    ###########################################################################
    # CALLBACKS
    ###########################################################################

    def __search(self, p_button):
        """Search songs from the entered songs and among the whole selection."""
#        print 'search', self, p_button
        _song = self.__song_frame.get_song()
        _session = Session()
        _session.get_main_window().set_status('Please, wait...')
        _sel = self.__selection.search_song(_song)
        self.__list.set_selection(_sel)
        self.__list.update()
        _session = Session()
        _session.get_main_window().set_status(self.get_status())
