# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

"""
library_modified = 0

def set_library_as_modified():
    global library_modified
    library_modified = 1

def library_was_modified():
    return library_modified
"""

class Session:
    "The current session."

    __session = None

    def __init__(self, p_main_window = None):
        if not Session.__session:
            Session.__session = Session.__Session(p_main_window)

    def __getattr__(self, p_name):
        return getattr(self.__session, p_name)

    class __Session:
        """An unique session."""
    
        __main_win = None

        __library_modified = 0

        __play_lists_modified = 0

        def __init__(self, p_main_window):
            self.__main_win = p_main_window
            self.__library_modified = 0
            self.__play_lists_modified = 0

        def set_library_as_modified(self):
            self.__library_modified = 1

        def library_was_modified(self):
            return self.__library_modified

        def set_play_lists_as_modified(self):
            self.__play_lists_modified = 1

        def play_lists_were_modified(self):
            return self.__play_lists_modified

        def get_main_window(self):
            return self.__main_win

            
