# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from Menu import Menu
from LibraryMenu import LibraryMenu
from TasksMenu import TasksMenu
from PlayListsSetMenu import PlayListsSetMenu
from PlayQueueMenu import PlayQueueMenu
from ConfigurationMenu import ConfigurationMenu
from AboutMessage import AboutMessage


class MainMenu(Menu):
    "Main menu."

    def __init__(self):
        "Constructs the main menu."
        Menu.__init__(self, "Main menu", "Your choice")
        self.add_entry("Manage library", self.__manage_library)
        self.add_entry("Manage tasks queue", self.__manage_tasks)
        self.add_entry("Manage play lists", self.__manage_play_lists)
        self.add_entry("Manage play queue", self.__manage_play_queue)
        self.add_entry("Change configuration", self.__change_configuration)
        self.add_entry("Display about message", self.__display_about)
        self.add_entry("Quit", self.go_back)

    def __manage_library(self):
        _menu = LibraryMenu()
        _menu.show()
        return 1

    def __manage_tasks(self):
        _menu = TasksMenu()
        _menu.show()
        return 1

    def __manage_play_lists(self):
        _menu = PlayListsSetMenu()
        _menu.show()
        return 1

    def __manage_play_queue(self):
        _menu = PlayQueueMenu()
        _menu.show()
        return 1

    def __change_configuration(self):
        _menu = ConfigurationMenu()
        _menu.show()
        return 1

    def __display_about(self):
        _msg = AboutMessage()
        print _msg
        return 1

