# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from Question import Question


class NumberQuestion(Question):
    """A simple question for a positive number."""

    def __init__(self, p_prompt, p_default = 0):
        """Construct a question."""
        Question.__init__(self, p_prompt, p_default)

    def show(self):
        """Print the question and returns the response as a integer."""
        _ret = -1
        while _ret == -1:
            try:
                _ret = int(Question.show(self))
            except ValueError:
                _ret = -1
        return _ret

