# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


class Question:
    "Simple question."

    __prompt = ""

    __default = ""

    def __init__(self, p_prompt, p_default = ""):
        "Constructs a question."
        self.__prompt = p_prompt
        self.__default = p_default

    def show(self):
        "Print the question and returns the response."
        try:
            _str = raw_input(str(self.__prompt) + " [" + str(self.__default) + "] : ")
        except EOFError:
            _str = ''
            # write a new line on stdout
        else:
            if _str == '':
                _str = str(self.__default)
#            _str = _str.strip()
        return _str

