# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from Choice import Choice
from SongFileDisplay import SongFileDisplay


class SelectionList(Choice):
    "List of all songs files of a selection."

    def __init__(self, p_selection):
        Choice.__init__(self, "List of songs", "Song number")
        for _file in p_selection:
            self.add_item(_file)

    def get_item_as_string(self, p_item):
        _display = SongFileDisplay(p_item, ' | ')
        _ret = str(_display)
        return _ret

    def ask_for_number(self):
        "Asks to enter a file name number and returns it."
        return self.show()

    def ask_for_file(self):
        "Asks to enter a number and returns a file."
        _num = self.ask_for_number()
        return self.get_item(_num)
