# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from base.Manager import Manager

from Menu import Menu
from SelectionList import SelectionList
from Edition import Edition


class SelectionMenu(Menu):
    "Menu which allows to manage a selection."

    __selection = None

    __edition = None
    
    def __init__(self):
        "Constructs the menu."
        Menu.__init__(self, "Management of a selection", "Your choice")
        self.add_entry("List songs", self.__list)
        self.add_entry("Accept", self.__accept)
        self.add_entry("Research", self.__search)
        self.add_entry("Cancel", self.__cancel)
        self.__edition = Edition()
        self.__selection = None
        self.__search()

    def __list(self):
        _len = self.__selection.get_length()
        if _len < 1:
            print "The selection is empty."
        else:
            _list = SelectionList(self.__selection)
            _list.show_items()
        return 1

    def __accept(self):
        return 0

    def __search(self):
        self.__edition.show()
        _song = self.__edition.get_song()
        _manager = Manager()
        self.__selection = _manager.get_library_selection().search_song(_song)
        self.__list()
        return 1

    def __cancel(self):
        self.__selection = None
        return 0

    def get_selection(self):
        return self.__selection
