# maestro - An Ogg Vorbis files manager
#
# Copyright (c) 2002, Julien Lesouef <julien.lesouef@free.fr>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from base.Manager import Manager
from base.Task import Task
from base.MP3Importing import MP3Importing
from base.TrackImporting import TrackImporting
from base.SongAdding import SongAdding
from base.SongEditing import SongEditing
from base.SongRemoving import SongRemoving
from base.LibraryRefreshing import LibraryRefreshing

from Choice import Choice


class TasksList(Choice):
    "List of all tasks."

    def __init__(self):
        Choice.__init__(self, "List of tasks", "Task number")
        _manager = Manager()
        _queue = _manager.get_tasks_thread().get_queue()
        for _task in _queue:
            self.add_item(_task)

    def get_item_as_string(self, p_task):
        _item = 'To do nothing good...'
        try:
            raise p_task
        except SongAdding, _task:
            _item = 'To add the file %s' % _task.get_src_file_path()
        except MP3Importing, _task:
            _item = 'To convert, encode and add the file %s' % _task.get_src_file_path()
        except TrackImporting, _task:
            _item = 'To rip, encode and add the track %s' % _task.get_track()
        except SongEditing, _task:
            _item = 'To modify the file %s' % _task.get_src_file_path()
        except SongRemoving, _task:
            _item = 'To remove the file %s' % _task.get_file_path()
        except LibraryRefreshing, _task:
            _item = 'To refresh the library from the directory'
        except Task:
            _item = 'To execute an unknown task'
        return _item

